.home {
    position: relative;
    min-height: 100vh;
    padding-top: 7rem;

    &-content {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 100%;
        height: 100%;
    }
}

.box {
    width: 100%;
    height: 530px;
    border: solid 13px $pp-dark-pink;
    margin: 0 100px;

    &-content {
        height: 100%;

        &__top {
            height: 40%;
            width: 100%;
            display: flex;

            &-left {
                background-size: cover;
                width: 50%;
                display: flex;
                align-items: center;
                justify-content: center;
                padding: 80px;

                h2 {
                    font-family: "Playfair Display";
                    line-height: 1.4;
                    font-size: 3em;
                }
            }

            &-right {
                width: 50%;
                display: flex;

                &__text {
                    background-color: $pp-white;
                    width: 78%;
                    display: flex;
                    align-items: center;
                    justify-content: center;

                    p {
                        padding: 0px 40px;
                        line-height: 2;
                        font-size: 1.2em;
                    }
                }

                &__socials {
                    width: 22%;
                    height: 100%;

                    .socials-home {
                        height: 50%;
                        display: flex;
                        align-items: center;
                        justify-content: center;

                        i {
                            color: $pp-white;
                            font-size: 3em;
                        }
                    }

                    .socials-facebook {
                        background-color: $pp-blue;
                    }

                    .socials-instagram {
                        background-color: $pp-dark-pink;
                    }
                }
            }
        }

        &__bottom {
            width: 100%;
            height: 60%;
            display: flex;
            &-left {
                width: 50%;
                .bottom-top {
                    background-color: $pp-black;
                    width: 100%;
                    height: 35%;
                    display: flex;
                    align-items: center;
                    justify-content: space-between;
                    padding: 0 40px;
                    color: $pp-white;

                    span:first-child {
                        line-height: 2;
                        display: block;
                        font-size: 1.3em;
                        text-transform: uppercase;
                        letter-spacing: 2px;
                    }

                    span:nth-child(2) {
                        display: block;
                        font-size: 1.7em;
                    }

                    .home-arrow {
                        display: flex;
                    }
                }

                .bottom-bot {
                    height: 65%;
                    width: 100%;
                    background-size: cover;
                }
            }

            &-right {
                background-size: cover;
                width: 50%;
                padding: 45px 20px 20px 20px;

                h2 {
                    font-size: 2em;
                }

                .home-list {
                    display: flex;
                    justify-content: center;
                    margin-top: 30px;
                    &__img {
                        font-size: 1.3em;
                        font-weight: 500;
                        display: flex;
                        align-items: center;
                        background-size: cover;
                        justify-content: center;
                        background-color: $pp-dark-pink;
                        margin-right: 20px;
                        width: 120px;
                        height: 120px;
                    }
                }
            }
        }
    }
}













// ---- ARROW 
.home-slide--project__content-arrow {
    position: absolute;
    top: 160px;
    left: 100px;
    display: flex;
    transform: scale(1.2);

    @include mq(tablet, max) {
        top: -100px;
        left: 35%;
        transform: scale(1.4);
    }
}

.arrow {
    --active: #000;
    --border: rgba(0, 0, 0, .12);
    display: block;
    opacity: 0.8;
    position: relative;
    width: 44px;
    height: 44px;
    transition: opacity .2s ease;

    &:hover {
        opacity: 1;
        transition: opacity .2s ease;
    }

    &.left {
        transform: scaleX(-1);
    }

    i {
        display: block;
        position: absolute;
        margin: -10px 0 0 -10px;
        width: 20px;
        height: 20px;
        left: 50%;
        top: 50%;

        &:before,
        &:after {
            content: '';
            width: 10px;
            height: 2px;
            border-radius: 1px;
            position: absolute;
            left: 50%;
            top: 50%;
            background: var(--active);
            margin: -1px 0 0 -5px;
            display: block;
            transform-origin: 9px 50%;
        }

        &:before {
            transform: rotate(-40deg);
        }

        &:after {
            transform: rotate(40deg);
        }
    }

    &:before,
    &:after {
        content: '';
        display: block;
        position: absolute;
        left: 1px;
        right: 1px;
        top: 1px;
        bottom: 1px;
        border-radius: 50%;
        border: 2px solid var(--border);
    }

    svg {
        width: 44px;
        height: 44px;
        display: block;
        position: relative;
        z-index: 1;
        color: var(--active);
        stroke-width: 2px;
        stroke-dashoffset: 126;
        stroke-dasharray: 126 126 0;
        transform: rotate(0deg);
    }

    &.animate {
        svg {
            animation: stroke .5s ease forwards .3s;
        }

        i {
            animation: arrow 1.1s ease forwards;

            &:before {
                animation: arrowUp 1.1s ease forwards;
            }

            &:after {
                animation: arrowDown 1.1s ease forwards;
            }
        }
    }
}

@keyframes stroke {
    52% {
        transform: rotate(-180deg);
        stroke-dashoffset: 0;
    }

    52.1% {
        transform: rotate(-360deg);
        stroke-dashoffset: 0;
    }

    100% {
        transform: rotate(-180deg);
        stroke-dashoffset: 126;
    }
}

@keyframes arrow {

    0%,
    100% {
        transform: translateX(0);
        opacity: 1;
    }

    23% {
        transform: translateX(17px);
        opacity: 1;
    }

    24%,
    80% {
        transform: translateX(-22px);
        opacity: 0;
    }

    81% {
        opacity: 1;
        transform: translateX(-22px);
    }
}

@keyframes arrowUp {

    0%,
    100% {
        transform: rotate(-40deg) scaleX(1);
    }

    20%,
    80% {
        transform: rotate(0deg) scaleX(.1);
    }
}

@keyframes arrowDown {

    0%,
    100% {
        transform: rotate(40deg) scaleX(1);
    }

    20%,
    80% {
        transform: rotate(0deg) scaleX(.1);
    }
}
